Create a user

Create a new user. The new user is created for the organization (organizationId) in the request header.

In the request, set username as a unique alphanumeric value. The value must be 40 characters or fewer. This field is not case-sensitive. Do not set the value as an email address or any PII value. BILL uses this value to uniquely identify each user.

This operation requires partner-level permissions.

  • A sessionId header value generated with API partner login
  • An appKey header value
  • The organizationId of the organization

See Users for BILL partners in the Guides section for more information, sample requests, and responses.

Body Params
string
required
length between 1 and 100

User first name

string
length ≤ 100

User last name

string
required
length ≥ 1

User email address

string

BILL-generated ID of the user role. The value begins with 0po.

If you do not set roleId, the default ADMINISTRATOR user role is assigned to the created user. You can get the list of available user roles with GET /v3/partner/roles.

string
required
length between 1 and 1000

Username for signing in as the user.

Set username as a unique alphanumeric value. The value must be 40 characters or fewer. This field is not case-sensitive. Do not set the value as an email address or any PII value. BILL uses this value to uniquely identify each user.

string

Reference ID used as an external identifier.

You can set this field as a unique alphanumeric value for your system to refer to the created user.

boolean
required

Set as true if the user accepts the BILL terms of service

Headers
string | null

API session ID generated with /v3/partner/login

string | null

Application key sent to you by BILL when you create a partner account

string | null

BILL-generated ID of the organization

Responses

Language
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json